# Contributing to Tania

Hello fellow contributors, we would like to thank you for taking the time to contribute!

The following is a set of guidelines for contributing to Tania, which are hosted in the [Tanibox Organization](https://github.com/tanibox) on GitHub. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

#### Table Of Contents

[Code of Conduct](#code-of-conduct)

[What should I know before I get started?](#what-should-i-know-before-i-get-started)

[How Can I Contribute?](#how-can-i-contribute)
  * [Reporting Bugs](#reporting-bugs)
  * [Suggesting Enhancements](#suggesting-enhancements)
  * [Pull Requests](#pull-requests)

## Code of Conduct

This project and everyone participating in it is governed by the [Tania Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [asep@tanibox.com](mailto:asep@tanibox.com).

## What should I know before I get started?

Always use English to communicate. Don't be shy with your English because nobody is perfect.

## How Can I Contribute?

### Reporting Bugs

To report bugs, you can use [Github issue tracker](https://github.com/Tanibox/tania/issues). Explain the detail about how can you get the bug, your environment, or anything that can help the maintainers to reproduce it.

### Suggesting Enhancements

You can use [Github issue tracker](https://github.com/Tanibox/tania/issues) to suggest your enhancements proposal. We encourage you to join to our [Gitter](https://gitter.im/taniafarm/Lobby) also if you want to discuss your enhancements directly with the maintainers.

### Pull Requests

Never ever send your pull requests to the `master` branch. Always send it to the `development` branch. Don't forget to give a clear PR subject and explain what are you changing on the description.